//++
//post.h - declarations for post.c module
//
// Copyright (C) 2005 by Spare Time Gizmos.  All rights reserved.
//
// This file is part of the Spare Time Gizmos' MP3 Player firmware.
//
// This firmware is free software; you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by the Free
// Software Foundation; either version 2 of the License, or (at your option)
// any later version.
//
// This program is distributed in the hope that it will be useful, but WITHOUT
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
// FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
// more details.
//
// You should have received a copy of the GNU General Public License along with
// this program; if not, write to the Free Software Foundation, Inc., 59 Temple
// Place, Suite 330, Boston, MA  02111-1307  USA
//
//REVISION HISTORY:
// dd-mmm-yy    who     description
// 15-May-05	RLA	New file.
//--
#ifndef _post_h_
#define _post_h_

// POST error codes...
#define PC_CPU		1	// CPU (P89C66x) failure
#define PC_CHECKSUM	2	// Flash checksum fail
#define PC_SRAM		3	// internal SRAM fail
#define PC_STA013	4	// STA013 failure
#define PC_DISPLAY	5	// LCD/VFD display failure
#define PC_ENCODER	6	// rotary encoder/switch failure

// Report a failure of one type or another...
extern void POST (BYTE nCode, BOOL fContinue);

// Verify (and return) the ROM checksum...
extern WORD ROMChecksum (WORD cbROM);

// Size the external RAM...
extern WORD RAMSize (void);

// Blink the LED with an error code...
extern void BlinkLED (BYTE nCode);

#endif	// _post_h_
